/* リセットCSS */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

div#outer {
    max-width: unset;
}

html {
    scroll-behavior: smooth;
}

/* 基本設定 */
body {
    font-family: 'Zen Maru Gothic', sans-serif;
    background-color: #DACDC2;
    color: #333;
    line-height: 1.8;
    overflow-x: hidden;
}

img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.contents {
    width: 100vw;
    overflow-x: hidden;
    position: relative;
}

.pc {
    display: block;
}

.sp {
    display: none;
}

/* セクション共通 */
section {
    width: 100%;
    overflow-x: hidden;
}

/* ヒーローセクション */
.hero {
    width: 100vw;
    height: 51.528vw;
    background-image: url('../images/fv.jpg');
    background-size: cover;
    background-position: center;
    position: relative;
}

/* アバウトセクション */
.about {
    width: 100vw;
    padding: 8.333vw 0;
    position: relative;
}

.about__container {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.about__content {
    width: 46.319vw;
    display: flex;
    flex-direction: column;
    gap: 2.778vw;
    margin-left: 11.111vw;
    position: relative;
}

.about__content-badge {
    width: 9.722vw;
    height: 10.139vw;
    position: absolute;
    top: 4.653vw;
    left: 34.028vw;
    background-image: url('../images/badge.png');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.about__title-wrap {
    display: flex;
    flex-direction: column;
    gap: 1.667vw;
}

.about__title-text {
    font-size: 1.667vw;
    font-weight: bold;
    line-height: 1.8;
    letter-spacing: 0.15em;
    background-color: white;
    width: fit-content;
    padding: 0 0.556vw;
}

.about__title {
    font-size: 2.778vw;
    font-weight: bold;
    line-height: 1.8;
    letter-spacing: 0.09em;
    margin: 0;
    padding: 0;
}

.about__title span {
    color: #A21414;
}

.about__text {
    font-size: 1.389vw;
    font-weight: 500;
    line-height: 1.8;
    letter-spacing: 0.04em;
    padding: 0;
    margin: 0;
}

.about__image-wrap {
    width: 36.806vw;
    height: 48.889vw;
    position: relative;
}

.about__image-bg {
    width: 31.806vw;
    height: 43.264vw;
    background-color: #A21414;
    position: absolute;
    top: 0;
    right: 0;
}

.about__image {
    width: 36.806vw;
    height: 45.764vw;
    position: absolute;
    bottom: 0;
    left: 0;
    background-image: url('../images/about.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.point {
    width: 100vw;
    padding: 8.333vw 0;
    position: relative;
    background-color: #A21414;
}

.point__container {
    width: 100%;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 3.264vw;
}

.point__title-wrap {
    width: fit-content;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1.667vw;
}

.point__title-text {
    font-size: 1.667vw;
    font-weight: bold;
    line-height: 1.8;
    letter-spacing: 0.15em;
    background-color: white;
    width: fit-content;
    padding: 0 0.556vw;
}

.point__title {
    color: white;
    font-size: 2.778vw;
    font-weight: bold;
    line-height: 1.8;
    letter-spacing: 0.09em;
    margin: 0;
    padding: 0;
}

.point__content {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
}

.point__image-wrap {
    width: 39.734vw;
    height: 29.583vw;
    position: relative;
}

.point__image-bg {
    width: 32.129vw;
    height: 21.957vw;
    background-color: #DACDC2;
    position: absolute;
    bottom: 0;
    left: 0;
}

.point__image {
    width: 37.18vw;
    height: 27.219vw;
    background-image: url('../images/point.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    position: absolute;
    top: 0;
    right: 0;
}

.point__text {
    color: white;
    font-size: 1.389vw;
    font-weight: bold;
    line-height: 1.8;
    letter-spacing: 0.04em;
    padding: 0;
    margin-top: 5.903vw;
    margin-right: 11.111vw;
}

.message {
    width: 100vw;
    padding: 8.333vw 0;
}

.message__container {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 5.556vw;
}

.message__title-wrap {
    width: fit-content;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1.667vw;
}

.message__title-text {
    font-size: 1.667vw;
    font-weight: bold;
    line-height: 1.8;
    letter-spacing: 0.15em;
    background-color: white;
    width: fit-content;
    padding: 0 0.556vw;
}

.message__title {
    color: #333;
    font-size: 2.778vw;
    font-weight: bold;
    line-height: 1.8;
    letter-spacing: 0.09em;
    margin: 0;
    padding: 0;
    text-align: center;
}

.message__title span {
    color: #A21414;
}

.message__content {
    width: 100%;
    display: flex;
    gap: 2.778vw;
}

.message__text {
    color: #333;
    font-size: 1.389vw;
    font-weight: bold;
    line-height: 1.8;
    letter-spacing: 0.04em;
    padding: 0;
    margin-left: 11.111vw;
}

.message__image-wrap {
    width: 40.633vw;
    height: 30.694vw;
    position: relative;
}

.message__image-bg {
    width: 12.431vw;
    height: 24.444vw;
    background-color: #A21414;
    position: absolute;
    bottom: 0;
    right: 0;
}

.message__image {
    width: 37.917vw;
    height: 27.778vw;
    background-image: url('../images/message.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    position: absolute;
    top: 0;
    left: 0;
}

.product {
    width: 100vw;
    padding: 8.333vw 0;
    background-color: #A21414;
}

.product__container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 5.833vw;
}

.product__title {
    color: white;
    font-size: 2.778vw;
    font-weight: bold;
    line-height: 1.8;
    letter-spacing: 0.09em;
    margin: 0;
    padding: 0;
}

.product__content {
    width: 77.778vw;
    background-color: white;
    display: flex;
    flex-wrap: wrap;
    gap: 2.778vw;
    row-gap: 2.778vw;
    padding: 4.167vw;
}

.product-card {
    width: 15.278vw;
    position: relative;
}

.product-link {
    text-decoration: none;
}

.product-badge {
    position: absolute;
    top: 0;
    left: 0;
    background-color: rgba(0 0,0,0.3);
    color: white;
    font-size: 0.833vw;
    padding: 0.278vw 0.556vw;
    z-index: 1;
}

.product-image {
    width: 15.278vw;
    height: 15.278vw;
    overflow: hidden;
    margin-bottom: 0.833vw;
}

.product-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.3s ease, opacity 0.3s ease;
}

.product-link:hover .product-image img {
    transform: scale(1.1);
    opacity: 0.8;
}

.product-name {
    font-family: 'Zen Maru Gothic', sans-serif;
    color: #333;
    font-size: 1.111vw;
    font-weight: 500;
    margin-bottom: 0.556vw;
    line-height: 1.4;
    padding: 0;
    margin: 0;
}

.product-price {
    color: #333;
    font-family: 'Zen Maru Gothic', sans-serif;
    font-size: 0.972vw;
    font-weight: 500;
    margin-bottom: 0.556vw;
    padding-top: 0.208vw;
    border-top: 1px solid gray;
}

.product-shipping {
    display: flex;
    flex-wrap: wrap;
    gap: 0.556vw;
    margin-top: 1.042vw;
}

.shipping-method {
    background-color: #f0f0f0;
    color: #333;
    font-size: 0.833vw;
    padding: 0.139vw 0.347vw;
}

.shipping-method-normal {
    background-color:#fa9600;
    color: white;
}

.shipping-method-cold {
    background-color: #3C82C5;
    color: white;
}

.shipping-method-cool {
    background-color:#00B1AA;
    color: white;
}

/* レスポンシブデザイン */
@media (max-width: 780px) {
    .pc {
        display: none;
    }

    .sp {
        display: block;
    }

    .contents {
        width: 100vw;
    }

    /* セクション共通 */
    section {
        width: 100%;
        overflow-x: hidden;
    }
    
    /* ヒーローセクション */
    .hero {
        width: 100vw;
        height: 186.667vw;
        background-image: url('../images/sp-fv.jpg');
        background-size: cover;
        background-position: center center;
    }

    /* アバウトセクション */
    .about {
        width: 100vw;
        padding: 21.333vw 0;
    }

    .about__container {
        width: 89.333vw;
        margin: 0 auto;
        flex-direction: column;
        gap: 16vw;
    }

    .about__content {
        width: 100%;
        margin-left: 0;
        gap: 24vw;
    }

    .about__content-badge {
        top: 45.333vw;
        left: unset;
        right: 0;
        width: 26.667vw;
        height: 27.808vw;
    }

    .about__title-wrap {
        gap :6.4vw;
    }

    .about__title-text {
        font-size: 4.533vw;
        padding: 0 2.133vw;
    }

    .about__title {
        font-size: 7vw;
    }

    .about__text {
        font-size: 4.533vw;
    }

    .about__image-wrap {
        width: 89.333vw;
        height: 118.667vw;
    }

    .about__image-bg {
        width: 77.067vw;
        height: 10.667vw;
        top: 0;
        right: 0;
    }

    .about__image {
        width: 89.333vw;
        height: 111.077vw;
    }

    .point {
        width: 100vw;
        padding: 21.333vw 0;
    }

    .point__container {
        width: 89.333vw;
        margin: 0 auto;
        gap: 16vw;
    }

    .point__title-wrap {
        gap: 6.4vw;
    }

    .point__title-text {
        font-size: 4.533vw;
        padding: 0 2.133vw;
    }

    .point__title {
        font-size: 7vw;
    }

    .point__content {
        flex-direction: column-reverse;
        gap: 16vw;
    }

    .point__image-wrap {
        width: 89.333vw;
        height: 66.507vw;
    }

    .point__image-bg {
        width: 72.234vw;
        height: 49.363vw;
        bottom: 0;
        right: 0;
    }
    
    .point__image {
        width: 83.589vw;
        height: 60.661vw;
    }

    .point__text {
        font-size: 4.533vw;
        margin: 0;
    }

    .message {
        width: 100vw;
        padding: 21.333vw 0;
    }

    .message__container {
        width: 89.333vw;
        margin: 0 auto;
        gap: 16vw;
    }

    .message__title-wrap {
        gap: 6.4vw;
    }

    .message__title-text {
        font-size: 4.533vw;
        padding: 0 2.133vw;
    }

    .message__title {
        font-size: 7vw;
    }

    .message__content {
        flex-direction: column;
        gap: 16vw;
    }

    .message__text {
        font-size: 4.533vw;
        margin: 0;
    }

    .message__image-wrap {
        width: 89.333vw;
        height: 67.467vw;
    }

    .message__image-bg {
        width: 27.323vw;
        height: 53.731vw;
        bottom: 0;
        right: 0;
    }

    .message__image {
        width: 83.341vw;
        height: 61.056vw;
    }

    .product {
        width: 100vw;
        padding: 21.333vw 0;
    }

    .product__container {
        width: 89.333vw;
        margin: 0 auto;
        gap: 16vw;
    }

    .product__title {
        font-size: 7vw;
    }

    .product__content {
        width: 100%;
        margin: 0 auto;
        gap: 3.733vw;
        row-gap: 10.667vw;
        padding: 5.333vw;
    }

    .product-card {
        width: 37.333vw;
    }

    .product-image {
        width: 37.333vw;
        height: 37.333vw;
    }
    
    .product-name {
        font-size: 4.267vw;
        margin-bottom: 2.133vw;
    }

    .product-price {
        font-size: 3.733vw;
        margin-bottom: 2.133vw;
        padding-top: 0.8vw;
    }

    .product-shipping {
        gap: 2.133vw;
        margin-top: 4vw;
    }

    .shipping-method {
        font-size: 3.2vw;
        padding: 0.533vw 1.333vw;
    }

}
